Update Simulation Suite

Updates the specified simulation suite.

Authentication

AuthorizationBearer
Authenticate server-side requests with a private Vapi API key. Create or copy a key from the [Vapi Dashboard](https://dashboard.vapi.ai) and send it in the `Authorization` header as `Bearer <token>`. Keep private API keys out of client-side code and public repositories.

Path parameters

idstringRequiredformat: "uuid"
The unique identifier of the simulation suite.

Headers

x-client-sourcestringOptional
Identifies the product surface making the request
x-simulation-entry-pointstringOptional
Identifies the dashboard simulation flow

Request

This endpoint expects an object.
namestringOptional<=80 characters
This is the name of the simulation suite.
slackWebhookUrlstringOptional
This is the Slack webhook URL for notifications.
simulationIdslist of stringsOptional

This is the list of simulation IDs to include in the suite (replaces existing).

targetAssignmentslist of objectsOptional

Optional assistant or squad assignments (replaces existing).

pathstring or nullOptionalformat: "/^[a-zA-Z0-9][a-zA-Z0-9._-]*(?:\/[a-zA-Z0-9][a-zA-Z0-9._-]*){0,2}$/"<=255 characters

Optional folder path for organizing simulation suites. Supports up to 3 levels (e.g., “dept/feature/variant”). Set to null to remove from folder.

Response

idstringformat: "uuid"
This is the unique identifier for the simulation suite.
orgIdstringformat: "uuid"
This is the unique identifier for the organization this suite belongs to.
createdAtdatetime

This is the ISO 8601 date-time string of when the suite was created.

updatedAtdatetime

This is the ISO 8601 date-time string of when the suite was last updated.

namestring<=80 characters
This is the name of the simulation suite.
simulationIdslist of strings
This is the list of simulation IDs in this suite.
targetAssignmentslist of objects
This is the ordered list of assistant or squad assignments for the suite.
slackWebhookUrlstringOptional
This is the Slack webhook URL for notifications.
pathstring or nullOptionalformat: "/^[a-zA-Z0-9][a-zA-Z0-9._-]*(?:\/[a-zA-Z0-9][a-zA-Z0-9._-]*){0,2}$/"<=255 characters

Optional folder path for organizing simulation suites. Supports up to 3 levels (e.g., “dept/feature/variant”). Maps to GitOps resource folder structure.